# variables.mk
# Defines global variables used in other makefiles
#

PROJ_DIR_S := $(dir $(lastword $(MAKEFILE_LIST)))
PROJ_DIR = $(patsubst %/,%,$(PROJ_DIR_S))

GINCLUDE_DIR = $(PROJ_DIR)/include
SRC_DIR = $(PROJ_DIR)/src
GLIB_DIR = $(PROJ_DIR)/lib
BUILD_DIR = $(PROJ_DIR)/build
BIN_DIR = $(PROJ_DIR)/bin
DOC_DIR = $(PROJ_DIR)/doc

DOXYGEN_CONFIG = doxygen.conf

DBGFLAGS =  -D_DEBUG 
#-DDEBUG_DUMP

# compiler to use
CC = g++

# compiler flags
CFLAGS = -g -O3 -Wall

# global includes directories
GINCLUDES = -I$(GINCLUDE_DIR)

# libraries
LIBS = -lpthread -lm

# Library Paths
# (for libraries that are not located in the system library path /usr/lib)
LFLAGS = 

# list source files
SRC_LST_C =
SRC_LST_CPP =

# list module local libraries
MLIB_DIR = 
MINCLUDE_DIR =
MLIBS_LST_C =
MLIBS_LST_CPP =

# list other source libraries
GLIBS_LST_C = 
GLIBS_LST_CPP =

RM = rm
