#ifndef DPRINTF_H
#define DPRINTF_H

/** ============================================================================
 *  @file   dprintf.h
 *  @path   $(DSPLINK)/dsp/src/samples/dsp_ambe/
 *  @desc   Main function that calls SWI or TSK dsp_ambeback applications based
 *          on the compilation flag SWI_MODE or TSK_MODE.
 *  @ver    1.65.00.03
 *  ============================================================================
 *  ============================================================================
 */

#include "dprintf_p.h"

#define dprintf printf

void dprintf_gpp_callback (unsigned long int EventNo, void * arg, void * info);
int dprintf_init_gpp (unsigned char processorId);

#endif //DPRINTF_H
