#ifndef LOG_DSP_H
#define LOG_DSP_H

#include "dprintf.h"

#ifdef _DEBUG

#define DBG(fmt) 		dprintf("[debug] %s() " fmt, __FUNCTION__)
#define DBG1(fmt, arg)		dprintf("[debug] %s() " fmt, __FUNCTION__, arg)
#define DBG2(fmt, arg1, arg2)	dprintf("[debug] %s() " fmt, __FUNCTION__, arg1, arg2)

#else /* _DEBUG */

#define DBG(fmt)
#define DBG1(fmt, arg)
#define DBG2(fmt, arg1, arg2)
    
#endif

#define INFO(fmt) 		dprintf("[info] %s() " fmt, __FUNCTION__)
#define INFO1(fmt, arg)		dprintf("[info] %s() " fmt, __FUNCTION__, arg)
#define INFO2(fmt, arg1, arg2)	dprintf("[info] %s() " fmt, __FUNCTION__, arg1, arg2)

#define ERROR(fmt)		dprintf("[error] %s() " fmt, __FUNCTION__)
#define ERROR1(fmt, arg)	dprintf("[error] %s() " fmt, __FUNCTION__, arg)
#define ERROR2(fmt, arg1, arg2)	dprintf("[error] %s() " fmt, __FUNCTION__, arg, arg2)

#endif //LOG_DSP_H 
